Subject: Re: linux-next: build failure after merge of the final tree (akpm tree related)

From: Tang Chen <[email-masked]>
Date: Mon, 21 Jan 2013 15:17:06 +0800

Hi Stephen,

On 01/21/2013 02:08 PM, Stephen Rothwell wrote:
> Hi all,
>
> After merging the final tree, today's linux-next build (arm defconfig)
> failed like this:
>
> mm/memblock.c: In function 'memblock_find_in_range_node':
> mm/memblock.c:104:2: error: invalid use of undefined type 'struct movablecore_map'
> mm/memblock.c:123:4: error: invalid use of undefined type 'struct movablecore_map'
> mm/memblock.c:130:7: error: invalid use of undefined type 'struct movablecore_map'
> mm/memblock.c:131:4: error: invalid use of undefined type 'struct movablecore_map'
>
> Caused by commit "page_alloc: bootmem limit with movablecore_map" from
> the akpm tree.  The definition of struct movablecore_map is protected by
> CONFIG_HAVE_MEMBLOCK_NODE_MAP but its use is not.
>
> I have reverted that commit for today.

Thank you very much for reporting this. It was my mistake to miss this 
definition.

I will post a new version of "page_alloc: bootmem limit with 
movablecore_map" since
you have reverted it.

CONFIG_HAVE_MEMBLOCK_NODE_MAP is selected by x86=y, but I don't have any 
non-x86 box.
So I didn't test it. Please tell me if you have any problem with it on 
other platforms.

Thanks. :)